import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconKey = (props: IconProps) => {
    return <Icon id="IconKey" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M19.821 1.23348C20.2105 1.62503 20.2088 2.25819 19.8173 2.64769L18.7206 3.73862L20.722 5.72955C21.1151 6.1205 21.1151 6.75655 20.722 7.1475L17.5553 10.2975C17.1652 10.6855 16.535 10.6855 16.1449 10.2975L14.1359 8.2991L11.7789 10.6437C12.7602 12.0059 13.126 13.7311 12.7585 15.391L12.6979 15.6394C12.1459 17.7074 10.5226 19.3245 8.45479 19.8621C6.3835 20.4092 4.17619 19.8104 2.66257 18.2843C0.39529 15.9492 0.427734 12.2353 2.73541 9.93975C4.80392 7.88214 8.01595 7.64526 10.3476 9.24655L13.4183 6.19205C13.4223 6.18786 13.4265 6.18369 13.4306 6.17956L16.5973 3.02956C16.6012 3.02563 16.6052 3.02175 16.6092 3.0179L18.4068 1.22975C18.7984 0.840259 19.4315 0.841929 19.821 1.23348ZM9.71747 11.3021L9.72354 11.3095C8.16286 9.81013 5.68007 9.83159 4.14589 11.3577C2.61459 12.8809 2.5931 15.3417 4.09 16.8835C5.09232 17.894 6.56342 18.2931 7.94777 17.9275C9.32105 17.5704 10.3991 16.4965 10.7655 15.1236C11.1296 13.7598 10.7337 12.3067 9.72718 11.3115C9.72393 11.3083 9.72069 11.3052 9.71747 11.3021ZM15.5536 6.88893L16.8492 8.17752L18.5992 6.43753L17.3032 5.14854L15.5536 6.88893Z" fill="white"/>
    </Icon>;
};

export default IconKey;
